Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Bullet Chart is used to visually compare measures, similar to the commonly used bar chart. A bullet chart displays one or more measures and compares them with a target value. You can also display the measures in a range of performance such as poor, satisfactory, and good.


Orientation

Position the bullet chart in either vertical or horizontal orientation. This is helpful when viewing the bullet chart on mobile devices.


Right to left

Render the Angular Bullet Chart control in either LTR or RTL directions.


Target bar

Target bar lines denote the current value and run perpendicular to the feature measure.


Multiple measures

Render multiple measure bars as well as multiple comparative measure symbols to allow comparison of several measures at once.

Angular Bullet Chart with multiple measures.


Qualitative ranges

A range in a bullet chart helps measure the performance of data against a qualitative state by observing the distance between each range. Each color of the range represents a quality such as good, bad, and acceptable.

Angular Bullet Chart with qualitative ranges.


Angular Bullet Chart Code Example

Easily get started with the Angular Bullet Chart using a few simple lines of ts code example as demonstrated below. Also explore our Angular Bullet Chart Example that shows you how to render and configure the Smith Chart in Angular.

import { Component } from '@angular/core';

@Component({
    selector: 'app-container',
    template: `<ejs-bulletchart valueName='value' targetName='target'
                [minimum]='minimum' [maximum]='maximum' [interval]='interval' [dataSource]='data'>
                </ejs-bulletchart>`
})

export class AppComponent {
    public minimum: number = 0;
    public maximum: number = 300;
    public interval: number = 50;
    public data: Object[] = [
       { value: 100, target: 80 },
       { value: 200, target: 180 },
       { value: 300, target: 280 },
       { value: 400, target: 380 },
       { value: 500, target: 480 },
    ];
}

Other supported frameworks

Bullet Chart is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Bullet Chart platforms from the links below,


150+ ANGULAR UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Bullet Chart is used to visually compare measures, like the commonly used bar chart. The bullet chart displays one or more measures and compares them with a target value. You can also display the measures in a range of performance such as poor, satisfactory, and good.


Orientation

Position the bullet chart in either vertical or horizontal orientation. This is helpful when viewing the bullet chart on mobile devices.


Right to left

Render the React Bullet Chart control either in LTR or RTL direction.


Target and Actual Bar

Actual bar that runs along the bullet chart denote the current value and target bar runs perpendicular to the actual bar.


Multiple measures

Render multiple measure bars as well as multiple target bars to allow comparison of several measures at once.

React Bullet Chart with multiple measures.


Qualitative ranges

Range in a bullet chart helps measure the performance of data against a qualitative state by observing the distance between each range. Each color of the range represents a quality such as good, bad, and acceptable.

React Bullet Chart with qualitative ranges.


Qualitative ticks

Display a scale with two types of ticks. Major ticks are the primary scale indicators, and minor ticks are the secondary scale indicators that fall between the major ticks. You can apply a range’s color to both minor and major ticks that are associated with it.


Labels

The labels display the numeric values of the major ticks in the range of the scale. You can apply the range’s color to the labels that are associated with it.

React Bullet Chart with labels


Tooltips

Display details about the measures through a tooltip that appears when hovering the mouse over the measures.

React Bullet Chart with tooltips.


Title and subtitles

A title and subtitles in the bullet chart display additional information about the chart.

React Bullet Chart with captions.


Text placement

Place the text elements, such as title and subtitle text, at any side of the scale. The text elements will trim if they overlap with the scale.


React Bullet Chart Code Example

Easily get started with the React Bullet Chart using a few simple lines of TSX code example as demonstrated below. Also explore our React Bullet Chart Example that shows you how to render and configure a Bullet Chart in React.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { orderDetails } from './data';
import { SampleBase } from '../common/sample-base';

export class Default extends SampleBase<{}, {}> {
  public tooltip: any = {
   enable: true
  };
  public animation: any = {
   enable: false
  };
  public dataSource: any = [{ value: 70, target: 50 }];
  render() {
    return (
        <div>
            <BulletChartComponent id='Revenue'
                tooltip={this.tooltip}
                animation={this.animation}
                valueField='value'
                targetField='target'
                minimum={0}
                maximum={100}
                interval={10}
                title='Revenue YTD'                      
                subtitle='US $(in thousands)'                    
                labelFormat='${value}K'
                dataSource={this.dataSource}>
                <Inject services={[BulletTooltip]}/>
                    <BulletRangeCollectionDirective>
                        <BulletRangeDirective end={30} color="#599C20"></BulletRangeDirective>
                        <BulletRangeDirective end={60} color="#EFC820"></BulletRangeDirective>
                        <BulletRangeDirective end={100} color="#CA4218"></BulletRangeDirective>
                    </BulletRangeCollectionDirective>
            </BulletChartComponent>
        </div>
    )
  }
}



Other Supported Frameworks

In addition to React, built-in integration is available for these major frameworks.

Discover Syncfusion’s Complete React Component Ecosystem

Explore over 150+ React UI components featuring established, production-ready controls and the latest pure React components built natively for modern web app development.

  • React Components
  • Pure React Components

Frequently Asked Questions

  • Flexible and completely customizable.
  • Replacement for meters and gauges.
  • Support for multiple measures and targets.
  • Support for legends for each target and range.

  • Support for tooltips for the target and measure values.

  • Simple configuration and API.
  • Support for all modern browsers.
  • Touch-friendly and responsive UI.
  • Extensive demos, documentation to get started quickly with the React Bullet Chart Bar component.

You can find our React Bullet Chart demo here.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon